package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class AddDishes2RecipeDto {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("添加的日期和餐次")
   private List<AddDishes2RecipeDateDto> dates;
   @ApiModelProperty("添加的菜品信息")
   private List<MenuRecipeDishesV2AddDTO> dishesList;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public List<AddDishes2RecipeDateDto> getDates() {
      return this.dates;
   }

   public List<MenuRecipeDishesV2AddDTO> getDishesList() {
      return this.dishesList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setDates(final List<AddDishes2RecipeDateDto> dates) {
      this.dates = dates;
   }

   public void setDishesList(final List<MenuRecipeDishesV2AddDTO> dishesList) {
      this.dishesList = dishesList;
   }

}
